RESTinio

Public Member Functions | Private Attributes | List of all members
restinio::impl::executor_wrapper_t< Executor > Class Template Reference

Wrapper for an executor (strand) used by connections. More...

`#include <executor_wrapper.hpp>`

## Public Member Functions
template<typename Init_Executor >
| executor_wrapper_t (Init_Executor &&init_executor)
virtual | ~executor_wrapper_t ()=default
Executor & | get_executor () noexcept
| An executor for callbacks on async operations. More...

## Private Attributes
Executor | m_executor
| Sync object for connection events. More...

## Detailed Description

template<typename Executor>
class restinio::impl::executor_wrapper_t< Executor >

Wrapper for an executor (strand) used by connections.

Definition at line 24 of file executor_wrapper.hpp.

## Constructor & Destructor Documentation

## ◆ executor_wrapper_t()

template<typename Executor >
template<typename Init_Executor >

restinio::impl::executor_wrapper_t< Executor >::executor_wrapper_t | ( | Init_Executor && | init_executor | ) |
| inline

Definition at line 28 of file executor_wrapper.hpp.

## ◆ ~executor_wrapper_t()

template<typename Executor >

virtual restinio::impl::executor_wrapper_t< Executor >::~executor_wrapper_t | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ get_executor()

template<typename Executor >

Executor & restinio::impl::executor_wrapper_t< Executor >::get_executor | ( |  | ) |
| inline noexcept

An executor for callbacks on async operations.

Definition at line 35 of file executor_wrapper.hpp.

## Member Data Documentation

## ◆ m_executor

template<typename Executor >

Executor restinio::impl::executor_wrapper_t< Executor >::m_executor
| private

Sync object for connection events.

Definition at line 39 of file executor_wrapper.hpp.

The documentation for this class was generated from the following file:

- restinio/impl/executor_wrapper.hpp